//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
    
    public partial class Screen1
    {	
		void Screen1_Opened(System.Object sender, System.EventArgs e)
		{
			UpdateComboBoxText();	
			
			Globals.Tags.Changed += new TagChangedEventHandler(UpdateComboBoxText);
		}
		
		void ComboBox1_SelectionChanged(System.Object sender, System.EventArgs e)
		{	
			Globals.Tags.Tag1.Value = ComboBox1.SelectedIndex;
		}
		
		void UpdateComboBoxText()
		{
			ComboBox1.Items.Clear();
			
			ComboBox1.Items.Add(Globals.Tags.CBItemStr1.Value.String);			
			ComboBox1.Items.Add(Globals.Tags.CBItemStr2.Value.String);
			ComboBox1.Items.Add(Globals.Tags.CBItemStr3.Value.String);
			
			ComboBox1.SelectedIndex = 0;
		}
		
		void Screen1_Closed(System.Object sender, System.EventArgs e)
		{			
			Globals.Tags.Changed -= new TagChangedEventHandler(UpdateComboBoxText);			
		}
    }
}
