//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
	// A delegate type for hooking up change notifications.
	public delegate void TagChangedEventHandler();
		
    public partial class Tags
	{		
		// An event that clients can use to be notified whenever the
		// elements of the list change.
		public event TagChangedEventHandler Changed;
		
		void CBItemStr1_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{
			if (Changed != null)
				Changed();			
		}
		
		void CBItemStr2_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{
			if (Changed != null)
				Changed();			
		}
		
		void CBItemStr3_ValueChange(System.Object sender, Neo.ApplicationFramework.Interfaces.Events.ValueChangedEventArgs e)
		{
			if (Changed != null)
				Changed();			
		}
    }
}
